local deposit = '';
local depositdata = '';
local expense = '';
local expensedata = '';
local month = '';

function handle_record(record)
    depositdata = depositdata .. record:get("TotalDeposits") .. ',';
    expensedata = expensedata .. record:get("TotalExpenses") .. ',';
    month = month .. '"' .. record:get("MONTH") .. '",';
end

function complete(result)
    deposit = deposit .. '{label:"Deposits",fillColor : "rgba(151,187,205,0.2)", strokeColor : "rgba(151,187,205,1)", pointColor : "rgba(151,187,205,1)",pointStrokeColor:"#fff",pointHighlightFill: "#fff",pointHighlightStroke: "rgba(151,187,205,1)", data : [';
    deposit = deposit .. string.sub(depositdata,1,-2) .. ']}';
    expense = expense .. '{label:"Expenses",fillColor : "rgba(253,17,2,0.2)", strokeColor : "rgba(253,17,2,1)", pointColor : "rgba(253,17,2,1)",pointStrokeColor:"#fff",pointHighlightFill: "#fff",pointHighlightStroke: "rgba(253,17,2,1)", data : [';
    expense = expense .. string.sub(expensedata,1,-2) .. ']}';
    result:set('TREND_DEPOSITS', deposit);
    result:set('TREND_EXPENSES', expense);
    result:set('TREND_MONTHS', string.sub(month,1,-2));

end