select strftime('%m%Y', TRANSDATE) as MONTH
    ,strftime('%Y',TRANSDATE) as YEAR
    , total(case when ('Deposit' = TRANSCODE) then TRANSAMOUNT else null end) as TotalDeposits
    , total(case when ('Withdrawal' = TRANSCODE) then TRANSAMOUNT else null end) as TotalExpenses
from CHECKINGACCOUNT_V1 
group by month,year
order by year,month
;